<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_margin="@dimen/margin"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <androidx.appcompat.widget.Toolbar
                android:id="@+id/tableToolbar"
                android:layout_width="match_parent"
                android:layout_height="?attr/actionBarSize"
                app:contentInsetStart="0dp"
                app:contentInsetStartWithNavigation="0dp"
                app:menu="@menu/menu_food"
                app:navigationIcon="@null"
                app:title="@string/nutritional_facts">

                <co.velloso.android.textfield.DebounceSearchView
                    android:id="@+id/debounceSearchView"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="end"
                    android:layout_marginStart="0dp"
                    android:layout_marginEnd="0dp"
                    android:layout_weight="1"
                    android:inputType="textCapSentences"
                    app:iconifiedByDefault="false"
                    app:queryBackground="@android:color/transparent"
                    app:queryHint="@string/food_search_hint"
                    app:searchIcon="@drawable/ic_search" />

            </androidx.appcompat.widget.Toolbar>

            <co.velloso.android.datatableview.FilterListView
                android:id="@+id/filterListView"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                app:emptyText="@string/empty_filters"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/grey_200" />

            <co.velloso.android.datatableview.DataTableView
                android:id="@+id/dataTableView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:clipToPadding="false"
                app:hasCheckColumn="true"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

        </LinearLayout>

    </androidx.cardview.widget.CardView>

</androidx.constraintlayout.widget.ConstraintLayout>